DISPLAY
function()
    local souls = select(4, UnitBuff("player", "Tormented Souls")) or 0
    return souls
end

TRIGGER
function()
    local buff = UnitBuff("player", "Tormented Souls") or 0
    if buff ~= nil then return true else return false end
end

DURATION_TRIGGER
function()
    local souls = select(4, UnitBuff("player", "Tormented Souls")) or 0
    return souls, 12, true
end